
TYPO3.Flow - Bug # 48596

Status: Under Review Priority: Should have
Author: Alexander Berl Category: Configuration
Created: 2013-05-28 Assigned To: Alexander Berl
Updated: 2015-02-14 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: IgnoredTags configuration should be easier to configure from packages
Description

Currently packages can not easily add new tags to the TYPO3.Flow.reflection.ignoredTags list, as they always need to provide a full
list.
Changing the configuration merging behavior is not a good way, hence the configuration type of ignoredTags option should be
changed from array to dictionary with the tags as key. This will allow easy adding of ignored tags from packages and un-ignoring tags
also.

See discussion in https://review.typo3.org/#/c/20773/ and http://forge.typo3.org/issues/43587 for more information.

History
#1 - 2013-05-28 12:38 - Alexander Berl

Sorry, this should not be a Bug but rather a Feature or at least Task

#2 - 2013-05-28 12:40 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21128

#3 - 2013-05-29 13:37 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21128

#4 - 2013-05-30 12:05 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21128

#5 - 2013-05-30 23:02 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21128
#6 - 2013-06-19 17:28 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21128

#7 - 2013-06-24 09:22 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21128

#8 - 2013-06-24 17:33 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21128

#9 - 2014-01-14 12:50 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21128

#10 - 2014-02-05 09:17 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21128

#11 - 2014-06-11 14:20 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21128

#12 - 2014-06-16 11:02 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21128

#13 - 2015-02-14 10:55 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/21128

#14 - 2015-02-14 10:58 - Bastian Waidelich
- Status changed from Under Review to Closed
Moved this to https://jira.typo3.org/browse/FLOW-199 and will take care of rebasing. Thank you! ;)

#15 - 2015-02-14 13:00 - Gerrit Code Review
- Status changed from Closed to Under Review

Patch set 14 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/21128
